GeoHashDistanceFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geohash.GeoHashDistanceFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geohash
Class GeoHashDistanceFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.DistanceFilter
              org.apache.lucene.spatial.geohash.GeoHashDistanceFilter

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class GeoHashDistanceFilter

extends DistanceFilter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`distance, distanceLookupCache, distances, nextDocBase, precise, startingFilter`

Constructor Summary
`GeoHashDistanceFilter(org.apache.lucene.search.Filter startingFilter, double lat, double lng, double miles, String geoHashField)` Deprecated. Provide a distance filter based from a center point with a radius in miles

Method Summary
`boolean` | `equals(Object o)` Deprecated. Returns true if `o` is equal to this.
`org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)` Deprecated.
`int` | `hashCode()` Deprecated. Returns a hash code value for this object.

Methods inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`getDistance, getDistances, reset, setDistances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoHashDistanceFilter

    public GeoHashDistanceFilter(org.apache.lucene.search.Filter startingFilter,
                                 double lat,
                                 double lng,
                                 double miles,
                                 String geoHashField)

  Deprecated.
  Provide a distance filter based from a center point with a radius in miles

  Parameters:
    `startingFilter` -
    `lat` -
    `lng` -
    `miles` -

Method Detail

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws IOException

  Deprecated.
  Specified by:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Deprecated.
  Returns true if `o` is equal to this.

  Specified by:
    `equals` in class `DistanceFilter`

### hashCode

    public int hashCode()

  Deprecated.
  Returns a hash code value for this object.

  Specified by:
    `hashCode` in class `DistanceFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD